VDB-98497 · CVE-2016-10129 · BID 95339

libgit2 à 0.24.5/0.25.0 Git Smart Protocol dénie de service

CVSS Score de méta-températureExploit Prix Actuel (≈)Score d'intérêt CTI
6.3$0-$5k0.00

Une vulnérabilité qui a été classée problématique a été trouvée dans libgit2 à 0.24.5/0.25.0. Affecté par cette vulnérabilité est une fonction inconnue du composant Git Smart Protocol Handler. A cause de la manipulation avec une valeur d'entrée inconnue mène à une vulnérabilité de classe dénie de service.

Le bug a été découvert sur 24/03/2017. La vulnerabilité a été publié en 24/03/2017 (oss-sec) (non défini). La notice d'information est disponible en téléchargement sur openwall.com Cette vulnérabilité est connue comme CVE-2016-10129. Elle est facile à utiliser. L'attaque peut être lancée à distance. Aucune forme d'authentification est requise pour l'exploitation. Les détails techniques sont inconnus et un exploit n'est pas disponible.

Le scanner de vulnérabilités Nessus propose un module ID 97282 (openSUSE Security Update : libgit2 (openSUSE-2017-262)), lequel aide à déterminer l'existence d'une faille dans l'environnement-cible.

Mettre à jour à la version 0.24.6 ou 0.25.1 élimine cette vulnérabilité. Une solution envisageable a été publiée même avant, et non après après la publication de la vulnérabilité.

La vulnérabilité est aussi documentée dans les base de données Tenable (97282) et SecurityFocus (BID 95339†).

Produitinfo

Nom

Version

Licence

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vecteur: 🔍
VulDB Fiabilité: 🔍

CVSSv3info

VulDB Score méta-base: 6.4
VulDB Score de méta-température: 6.3

VulDB Note de base: 5.3
VulDB Note temporaire: 5.1
VulDB Vecteur: 🔍
VulDB Fiabilité: 🔍

NVD Note de base: 7.5
NVD Vecteur: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VecteurComplexitéAuthentificationConfidentialitéIntégritéDisponibilité
ouvrirouvrirouvrirouvrirouvrirouvrir
ouvrirouvrirouvrirouvrirouvrirouvrir
ouvrirouvrirouvrirouvrirouvrirouvrir

VulDB Note de base: 🔍
VulDB Note temporaire: 🔍
VulDB Fiabilité: 🔍

NVD Note de base: 🔍

Exploitinginfo

Classe: Dénie de service
CWE: CWE-476 / CWE-404
CAPEC: 🔍
ATT&CK: 🔍

Localement: Non
Remote: Oui

Disponibilité: 🔍
Statut: Non défini

EPSS Score: 🔍
EPSS Percentile: 🔍

Prédiction de prix: 🔍
Estimation actuelle des prix: 🔍

0-Dayouvrirouvrirouvrirouvrir
Aujourd'huiouvrirouvrirouvrirouvrir

Nessus ID: 97282
Nessus Nom: openSUSE Security Update : libgit2 (openSUSE-2017-262)
Nessus Document: 🔍
Nessus Risque: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 867773
OpenVAS Nom: Fedora Update for libgit2 FEDORA-2017-403346d884
OpenVAS Document: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Nom: 🔍

Renseignements sur les menacesinfo

Intérêt: 🔍
Acteurs actifs: 🔍
Groupes APT actifs: 🔍

Contre-mesuresinfo

Recommandé: Upgrade
Statut: 🔍

Heure 0 jour: 🔍

Upgrade: libgit2 0.24.6/0.25.1
Patch: github.com

Chronologieinfo

10/01/2017 🔍
10/01/2017 +0 jours 🔍
16/02/2017 +37 jours 🔍
21/02/2017 +5 jours 🔍
24/03/2017 +31 jours 🔍
24/03/2017 +0 jours 🔍
24/03/2017 +0 jours 🔍
24/03/2017 +0 jours 🔍
15/11/2022 +2062 jours 🔍

Sourcesinfo

Bulletin: 2fdef641fd0dd2828bd948234ae86de75221a11a
Statut: Non défini
Confirmation: 🔍

CVE: CVE-2016-10129 (🔍)
SecurityFocus: 95339 - libgit2 Multiple NULL Pointer Dereference Remote Code Execution Vulnerability
OSVDB: - CVE-2016-10129 - Git - libgit2 - Denial of Service Issue

Entréeinfo

Établi: 24/03/2017 18:52
Mise à jour: 15/11/2022 08:42
Changements: 24/03/2017 18:52 (73), 13/09/2020 20:35 (5), 15/11/2022 08:42 (5)
Compléter: 🔍
Cache ID: 44:D01:40

Discussion

Aucun commentaire pour l'instant. Langues: fr + en.

Veuillez vous connecter pour commenter.

Interested in the pricing of exploits?

See the underground prices here!